WordPress.org

Forums

Easy Table
[resolved] Error after updating to 1.5 (19 posts)

  1. mpiet.opis
    Member
    Posted 1 year ago #

    After updating from 1.4 to 1.5, I receive this error in the dashboard.

    Easy Table: It seems [table] shortcode already used by another plugin and potentially cause problem with Easy Table. Please change Easy Table short code tag into another term other than table. Click here to fix it.

    However, the plugin seems to work fine.

    https://wordpress.org/plugins/easy-table/

  2. Adnan Gujjar
    Member
    Posted 1 year ago #

    same problem with me, how to fix this ?

  3. chaosratt
    Member
    Posted 1 year ago #

    Same issue here. Plugin seems to be detecting itself. Tried disabling/re-enabling plugin, changing the setting as it recommends, then changing it back, no change. Tables only work when Easy Table is enabled, and no other table plugins installed.

  4. takien
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for noticing.
    I'm trying to solve it.

  5. takien
    Member
    Plugin Author

    Posted 1 year ago #

    Solved, please delete existing and reinstal updated version.
    Thanks.

  6. Adnan Gujjar
    Member
    Posted 1 year ago #

    yes it's working now, Thanks

  7. chaosratt
    Member
    Posted 1 year ago #

    Can confirm, working here too. No need to delete, just overwrite existing files with fresh copy.

  8. mpiet.opis
    Member
    Posted 1 year ago #

    Confirmed the update is working. You can close this topic.

  9. takien
    Member
    Plugin Author

    Posted 1 year ago #

    Already marked as resolved.
    Thanks

  10. stieranka
    Member
    Posted 1 year ago #

    Hi,
    no, not work for me!!

    I replace file module at first time, and show error...
    I delete modul (clear file from FTP) and copy fresh version 1.5 at secont time, and steel show error and plugin not working!!!
    Any fix?

    Thanks.

  11. takien
    Member
    Plugin Author

    Posted 1 year ago #

    @stieranka
    The discussion above is about 'plugin keep showing warning, even when there's no another plugin that also using the same shortcode'. And it's fixed already.

    If you see that notice, and plugin's not working, I can ensure that it's what it says. You have another plugin that also use [table] shortcode. To fix this, you should change shortcode for Easy Table to another term, for example easytable. Afterwards, you must use [easytable] to write table using this plugin.

  12. stieranka
    Member
    Posted 1 year ago #

    Hi,
    I found my problem. Problem is on line 78 file easy-table.php:
    if ( shortcode_exists( $this->option('shortcodetag')) OR is_plugin_active('tablepress/tablepress.php') ) {

    If you have activate plugin TablePress, EasyTable show shortcode error. But it is no problem shortcode (my is "etable"), it is problem other plugin activate (or, EasyTable do not like TablePress :-)

    I resolved it - edit line 78:
    if shortcode_exists( $this->option('shortcodetag')) {

    Now it is work fine!

  13. stieranka
    Member
    Posted 1 year ago #

    @takien
    your plugin not check custon shortcode (eg [sample_tab]), but check default shortcode ([table]). That is problem.

  14. takien
    Member
    Plugin Author

    Posted 1 year ago #

    There's no like or do not like here, :D

    You just found another bug, the plugin still producing error with TablePress even when custom shortcode already set, noted.

    Thanks anyway, I will take a look on it.

  15. takien
    Member
    Plugin Author

    Posted 1 year ago #

    The problem I found was TablePress can't be detected using shortcode_exists(), that's why I checked using is_plugin_active('tablepress/tablepress.php') as well.

  16. stieranka
    Member
    Posted 1 year ago #

    OK, I understand. Maybe, add option to check in settings?

  17. takien
    Member
    Plugin Author

    Posted 1 year ago #

    Not sure.
    But I found this.
    It shoud check if TablePress exists AND custom short code is table ;)

  18. stieranka
    Member
    Posted 1 year ago #

    Hm ... simple and functional. Thanks.

  19. takien
    Member
    Plugin Author

    Posted 1 year ago #

    Patched to 1.5.1

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Easy Table
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.